## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NodeRefListBase Class Reference

Local implementation of NodeRefList. More...

Inheritance diagram for NodeRefListBase:

[legend]
List of all members.

## Public Types

- typedef unsigned int size_type

## Public Member Functions

- NodeRefListBase ()
- virtual ~NodeRefListBase ()
- virtual XalanNode * item (size_type index) const=0
    Returns the `index`th item in the collection.
- virtual size_type getLength () const=0
    Determine the number of nodes in the list.
- virtual size_type indexOf (const XalanNode *theNode) const=0
    Retrieve the zero based index of the node in the list.

## Static Public Attributes

- const size_type npos

## Protected Member Functions

- NodeRefListBase (const NodeRefListBase &)
- NodeRefListBase & operator= (const NodeRefListBase &)

## Detailed Description

Local implementation of NodeRefList.

This class is for internal use only.

## Member Typedef Documentation

typedef unsigned int NodeRefListBase::size_type

## Constructor & Destructor Documentation

NodeRefListBase::NodeRefListBase | ( |  | ) |

virtual NodeRefListBase::~NodeRefListBase | ( |  | ) | `[virtual]`

NodeRefListBase::NodeRefListBase | ( | const NodeRefListBase & |  | ) | `[protected]`

## Member Function Documentation

virtual size_type NodeRefListBase::getLength | ( |  | ) | const`[pure virtual]`

| Determine the number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Returns: number of nodes Implemented in NodeRefList, XalanDocumentFragmentNodeRefListBaseProxy, and XNodeSetNodeProxy::Proxy.

virtual size_type NodeRefListBase::indexOf | ( | const XalanNode * | theNode | ) | const`[pure virtual]`

  | Retrieve the zero based index of the node in the list. Parameters:
  theNode | node whose index to find
Returns: index of node Implemented in NodeRefList, XalanDocumentFragmentNodeRefListBaseProxy, and XNodeSetNodeProxy::Proxy.

virtual XalanNode* NodeRefListBase::item | ( | size_type | index | ) | const`[pure virtual]`

  | Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`. Parameters:
  index | index into the collection
Returns: node at the `index`th position in the `NodeList`, or `null` if that is not a valid index Implemented in NodeRefList, XalanDocumentFragmentNodeRefListBaseProxy, and XNodeSetNodeProxy::Proxy.

NodeRefListBase& NodeRefListBase::operator= | ( | const NodeRefListBase & |  | ) | `[protected]`

| Reimplemented in MutableNodeRefList, and NodeRefList.

## Member Data Documentation

const size_type NodeRefListBase::npos`[static]`

The documentation for this class was generated from the following file:

- NodeRefListBase.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.